Update Field
curl --request PUT \
--url https://api.swoogo.com/api/v1/sponsors/field/{field_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"choices": [
{
"name": "new choices of level"
},
{
"delete": true,
"id": 136
},
{
"id": 48,
"name": "update choice name"
}
],
"name": "new level of sponsorship 1"
}
'import requests
url = "https://api.swoogo.com/api/v1/sponsors/field/{field_id}"
payload = {
"choices": [
{ "name": "new choices of level" },
{
"delete": True,
"id": 136
},
{
"id": 48,
"name": "update choice name"
}
],
"name": "new level of sponsorship 1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
choices: [
{name: 'new choices of level'},
{delete: true, id: 136},
{id: 48, name: 'update choice name'}
],
name: 'new level of sponsorship 1'
})
};
fetch('https://api.swoogo.com/api/v1/sponsors/field/{field_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allow_html": false,
"attribute": "level",
"choices": [
{
"id": 47,
"name": "Gold",
"sort": 0
},
{
"id": 48,
"name": "update choice name",
"sort": 1
},
{
"id": 49,
"name": "Bronze",
"sort": 2
},
{
"id": 68,
"name": "Platinum",
"sort": 4
},
{
"id": 137,
"name": "new choices of level",
"sort": 6
},
{
"id": 138,
"name": "new choices of level",
"sort": 7
},
{
"id": 139,
"name": "new choices of level",
"sort": 8
},
{
"id": 140,
"name": "new choices of level",
"sort": 9
},
{
"id": 141,
"name": "new choices of level",
"sort": 10
},
{
"id": 142,
"name": "new choices of level",
"sort": 11
}
],
"id": 27,
"name": "new level of sponsorship 1",
"required": false,
"settings": null,
"sort": 4,
"type": "dropDownList",
"visible": true
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Sponsor Fields
Update Field
Updates an existing sponsor custom field definition by field_id. Send only the properties you want to change. For choice-based fields, you can add new choices, update existing choices by id, or delete choices by passing delete: true with the choice id. Returns the full updated field definition including all current choices.
PUT
/
sponsors
/
field
/
{field_id}
Update Field
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the field you want to update
Example:
1
Body
application/jsonapplication/x-www-form-urlencoded
Response
Update An Existing Sponsor Field
Example:
false
Example:
"level"
Show child attributes
Show child attributes
Example:
[
{ "id": 47, "name": "Gold", "sort": 0 },
{
"id": 48,
"name": "update choice name",
"sort": 1
},
{ "id": 49, "name": "Bronze", "sort": 2 },
{ "id": 68, "name": "Platinum", "sort": 4 },
{
"id": 137,
"name": "new choices of level",
"sort": 6
},
{
"id": 138,
"name": "new choices of level",
"sort": 7
},
{
"id": 139,
"name": "new choices of level",
"sort": 8
},
{
"id": 140,
"name": "new choices of level",
"sort": 9
},
{
"id": 141,
"name": "new choices of level",
"sort": 10
},
{
"id": 142,
"name": "new choices of level",
"sort": 11
}
]
Example:
27
Example:
"new level of sponsorship 1"
Example:
false
Example:
4
Example:
"dropDownList"
Example:
true
⌘I